Bug 112035 - bad sectors number recording iso images
bad sectors number recording iso images
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: cdrecord (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-13 05:00 EST by Frediano Ziglio
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 08:22:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frediano Ziglio 2003-12-13 05:00:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I was trying to record Fedora Core 1 CDs.

# cdrecord -v dev=0,5,0 yarrow-i386-disc1.iso

(dev 0,5,0 is my cd writer while 0,3,0 it's my cd reader)
burn finish correctly however

# md5sum /dev/cdrom
Input/Output error

# readcd dev=0,3,0 f=test.iso
Capacity: 322434 Blocks = 644868 kBytes = 629 MBytes = 660 prMB
Sectorsize: 2048 Bytes
Copy from SCSI (0,3,0) disk to file 'test.iso'
end:    322434
readcd: Input/output error. read_g1: scsi sendcmd: no error
CDB:  28 00 00 04 EB 80 00 00 02 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: F0 00 03 00 04 EB 81 0A 00 00 00 00 11 05 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x11 Qual 0x05 (l-ec uncorrectable error) Fru 0x0
Sense flags: Blk 322433 (valid)
resid: 2048
cmd finished after 0.305s timeout 40s
readcd: Input/output error. Cannot read source disk
readcd: Retrying from sector 322432.
..~~-~~~+~~~-~~~+~~~-~~~+~~~-~~~+~~~-~~~+~~~-~~~+~~~-~~~+~~~

It stops at sector #322432. 

# ll yarrow-i386-disc1.iso

-rw-rw-r--    2 ***   ***      660340736 12 dic 16:39
yarrow-i386-disc1.iso

now 322432 * 2048 = 660340736, file iso size but readcd wants to read
322434 sectors!!! Now is readcd or cdrecord wrong ?

# cdrecord dev=0,5,0 -toc
...
Supported modes: TAO PACKET SAO RAW/R96R
first: 1 last 1
track:   1 lba:         0 (        0) 00:02:00 adr: 1 control: 4 mode: 1
track:lout lba:    322434 (  1289736) 71:41:09 adr: 1 control: 4 mode: -1

?? it contains 322434 sectors... why ??

# cdrecord -v dev=0,5,0 yarrow-i386-disc1.iso
...
Supported modes: TAO PACKET SAO RAW/R96R
Drive buf size : 1176000 = 1148 KB
FIFO size      : 4194304 = 4096 KB
Track 01: data   629 MB
Total size:      723 MB (71:39.12) = 322434 sectors
Lout start:      723 MB (71:41/09) = 322434 sectors
Current Secsize: 2048
... (stopped) ...

why 322434 sectors ??

# cdrecord -v -dao dev=0,5,0 yarrow-i386-disc1.iso
...
Supported modes: TAO PACKET SAO RAW/R96R
Drive buf size : 1176000 = 1148 KB
FIFO size      : 4194304 = 4096 KB
Track 01: data   629 MB
Total size:      723 MB (71:39.09) = 322432 sectors
Lout start:      723 MB (71:41/07) = 322432 sectors
Current Secsize: 2048
... (stopped) ...
sectors count is now correct.

# cdrecord -v -dao dev=0,5,0 yarrow-i386-disc3.iso
(I already burned disk #1)

# md5sum /dev/cdrom1
6a26b34069639d0c31465d4079a8e1b2  /dev/cdrom1
(correct and no error!!!)

# readcd dev=0,3,0 f=test.iso
Capacity: 315168 Blocks = 630336 kBytes = 615 MBytes = 645 prMB
Sectorsize: 2048 Bytes
Copy from SCSI (0,3,0) disk to file 'test.iso'
end:    315168
addr:   315168 cnt: 328
Time total: 177.564sec
Read 630336.00 kB at 3549.9 kB/sec.

# md5sum test.iso
6a26b34069639d0c31465d4079a8e1b2  test.iso
(correct)


Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a19.2 and cdrecord-2.0-11.9.1

How reproducible:
Always

Steps to Reproduce:
1. cdrecord -v image.iso
2. cdrecord -toc
3. check values and iso size...
   (you can see sector size is wrong starting cdrecord, without
burning, sectors count is wrong, with -dao option turned on sectors
count is correct)
    

Actual Results:  sector count is not correct and readcd fails..

Expected Results:  sector count should be correct so readcd doesn't fail

Additional info:

I tried to update cdrecord with Fedora Core 1 version with same results...
Comment 1 Harald Hoyer 2003-12-17 03:34:30 EST
you should burn with padding:
# cdrecord -v -dao dev=0,5,0 -pad yarrow-i386-disc1.iso

Comment 2 Frediano Ziglio 2003-12-17 15:48:08 EST
Using -dao option problem do not occurs so adding -pad is not
necessary in your command. Using 1.x cdrecord I remember that I can
burn with a

# cdrecord -v image.iso

and check it with

# md5sum /dev/cdrom

If now I use 

# cdrecord -v -pad image.iso

(I didn't try...)
15 sectors are written after iso image however md5sum will read 2 more
sectors (cause toc contains two more sectors) so md5sum will give
wrong results...
Comment 3 Harald Hoyer 2003-12-18 09:08:09 EST
you are right... -dao does it right for the md5sum... -pad is required
for non-dao, to get no io-error

Note You need to log in before you can comment on or make changes to this bug.